#! /bin/sh
#----------------------------------------------------------------------------
# /usr/local/bin/dhcp-circuit-ctrl.sh                            4.0.0-stable-x86-r60706
#
# responsible for dialling and hanging up DHCP circuits
# delegates to a daemon-specific control script
#
# Last Update:  $Id: dhcp-circuit-ctrl.sh 56160 2019-06-27 20:22:24Z kristov $
#----------------------------------------------------------------------------

. /usr/share/circuits/api

script="$(basename $0)[$$]"
facility=$circuit_logfacility
. /usr/share/logfunc.sh

daemon_script=dhcp-${circ_dhcp_daemon}-circuit-ctrl.sh
if type -p $daemon_script >/dev/null
then
    $daemon_script "$@"
else
    log_error "cannot execute $daemon_script"
fi
